# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_gplink`](#dsc_gplink): The DSC GPLink resource type. Automatically generated from version 1.0.3
* [`dsc_gppermission`](#dsc_gppermission): The DSC GPPermission resource type. Automatically generated from version 1.0.3
* [`dsc_gpregistryvalue`](#dsc_gpregistryvalue): The DSC GPRegistryValue resource type. Automatically generated from version 1.0.3
* [`dsc_grouppolicy`](#dsc_grouppolicy): The DSC GroupPolicy resource type. Automatically generated from version 1.0.3

## Resource types

### <a name="dsc_gplink"></a>`dsc_gplink`

The DSC GPLink resource type.
Automatically generated from version 1.0.3

#### Properties

The following properties are available in the `dsc_gplink` type.

##### `dsc_enabled`

Data type: `Optional[Enum['Yes', 'No']]`

 

##### `dsc_enforced`

Data type: `Optional[Enum['No', 'Yes']]`

 

##### `dsc_ensure`

Data type: `Optional[Enum['Absent', 'Present']]`

 

##### `dsc_order`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

 

#### Parameters

The following parameters are available in the `dsc_gplink` type.

* [`dsc_gponame`](#dsc_gponame)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_gponame"></a>`dsc_gponame`

namevar

Data type: `String`

 

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

 

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_gppermission"></a>`dsc_gppermission`

The DSC GPPermission resource type.
Automatically generated from version 1.0.3

#### Properties

The following properties are available in the `dsc_gppermission` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Absent', 'Present']]`

 

##### `dsc_permissionlevel`

Data type: `Optional[Enum['GpoRead', 'GpoApply', 'GpoEdit', 'GpoEditDeleteModifySecurity', 'None']]`

 

##### `dsc_targettype`

Data type: `Optional[Enum['Computer', 'User', 'Group']]`

 

#### Parameters

The following parameters are available in the `dsc_gppermission` type.

* [`dsc_force`](#dsc_force)
* [`dsc_gponame`](#dsc_gponame)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_targetname`](#dsc_targetname)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_force"></a>`dsc_force`

Data type: `Optional[Enum['No', 'Yes']]`

 

##### <a name="dsc_gponame"></a>`dsc_gponame`

namevar

Data type: `String`

 

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_targetname"></a>`dsc_targetname`

namevar

Data type: `String`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_gpregistryvalue"></a>`dsc_gpregistryvalue`

The DSC GPRegistryValue resource type.
Automatically generated from version 1.0.3

#### Properties

The following properties are available in the `dsc_gpregistryvalue` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Absent', 'Present']]`

 

##### `dsc_value`

Data type: `Optional[String]`

 

##### `dsc_valuetype`

Data type: `Optional[String]`

 

#### Parameters

The following parameters are available in the `dsc_gpregistryvalue` type.

* [`dsc_key`](#dsc_key)
* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_valuename`](#dsc_valuename)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_key"></a>`dsc_key`

namevar

Data type: `String`

 

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

 

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_valuename"></a>`dsc_valuename`

namevar

Data type: `String`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_grouppolicy"></a>`dsc_grouppolicy`

The DSC GroupPolicy resource type.
Automatically generated from version 1.0.3

#### Properties

The following properties are available in the `dsc_grouppolicy` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Absent', 'Present']]`

 

##### `dsc_status`

Data type: `Optional[Enum['AllSettingsEnabled', 'UserSettingsDisabled', 'ComputerSettingsDisabled', 'AllSettingsDisabled']]`

 

#### Parameters

The following parameters are available in the `dsc_grouppolicy` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

 

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

